#!/bin/sh

ME=mail2sh
CONFIGFILE=Mail2shell.conf
MEHOME=/var/lib/mail2sh/
MEUSER=${ME}
MEGROUP=mail2sh
ETCHOME=/etc/mail2sh/
MEDOC=/usr/share/doc/mail2sh/
sudo=/etc/sudoers

case "$1" in
  remove)
    if [ -L ${MEDOC} ]; then
       rm -fr ${MEDOC} &> /dev/null
       echo "user account NO destroy : $ME"
       echo "use : -> deluser $ME <- for destroy account"
    fi
    ;;

  upgrade)
    if [ -L ${MEDOC} ]; then
       rm -fr ${MEDOC} &> /dev/null
       echo Directory $MEDOC erased
    fi
    ;;

  purge)
       rm -rf ${MEHOME} ${ETCHOME}
       echo $MEHOME and $ETCHOME is erased.
       deluser --quiet --remove-home $ME > /dev/null || true
       echo User $ME is deleted
       delgroup --quiet $MEGROUP > /dev/null || true
       echo GroupId $MEGROUP is deleted
       rm -fr ${MEDOC} &> /dev/null
       echo Directory $MEDOC erased
	   rm -f /etc/sudoers.d/mail2sh
	   echo Sudoers directive erased.
    ;;

  failed-upgrade|abort-install|abort-upgrade|disappear)
    ;;

  *)
    echo "postrm called with unknown argument \`$1'" >&2
    exit 0
    ;;
esac
