#!/bin/bash

# VI/ELVIS/VIM set tabstop=4

ME=mail2sh
MEHOME=/var/lib/mail2sh/
MEUSER=${ME}
MEGROUP=mail2sh
ETCHOME=/etc/mail2sh/
MEDOC=/usr/share/doc/mail2sh/
sudo=/etc/sudoers

case "$1" in
	configure)


		# ADDUSER
		echo 'Adduser mail2sh: '
	
		# Je verifie si j'existe, c'est-a-dire qu'il sagisse bien
		# de moi et pas d'un autre mail2sh !!
		#if  grep -q "^mail2sh::${MEHOME}" /etc/passwd ; then
		if  id $MEUSER > /dev/null 2>&1 ; then
			# Je verifie si mail2sh exist, si oui, alors je cris!!
			echo '************************************************'
			echo
			echo  $ME detected, continious setup... 
			echo
			echo '************************************************'
			#echo Remove account exist.
			#echo ' '
			#deluser --remove-home $ME
	
		else
		   addgroup --quiet $MEGROUP &> /dev/null
		   adduser  --quiet --system --home $MEHOME --ingroup $MEGROUP --shell /bin/sh $MEUSER &> /dev/null
		   #adduser --system --home $MEHOME --ingroup $MEGROUP --shell /bin/sh $ME &> /dev/null 
		fi
	
	
	
		# CONFIG
	
		cp -ufa /usr/share/doc/mail2sh/examples/etc/${ME}.noauth $ETCHOME
		if [ ! -f $ETCHOME/${ME}.conf ] ; then
			if ! cp -afu /usr/share/doc/mail2sh/examples/etc/${ME}.conf.single_user $ETCHOME/$ME.conf; then
				PASSWD=$(head -c 10 /dev/urandom | base64 | tr -dc '[:alnum:]' | head -c 10)
				sed -i -r -e 's/(password)+([ \t]*).*/\1 \2 '${PASSWD}'/' $ETCHOME/$ME.conf
			fi
		fi
		#echo -n "Rebuilding master index page ... "
		#/usr/lib/lists-archives/updatemail -x
		#echo "done."
	
		# SUDO
	
		#cp -ua $sudo $sudo.$$
		#sed -e '/#-- MAIL2SH begin/,/#-- MAIL2SH end/d' $sudo > ${sudo}.new
		sed -i -e '/#-- MAIL2SH begin/,/#-- MAIL2SH end/d' /etc/sudoers
		cp -a /usr/share/doc/mail2sh/examples/sudo/sudoers /etc/sudoers.d/mail2sh
		chown root.root /etc/sudoers.d/mail2sh
	
		#cat $MEDOC/examples/sudo/sudoers >> ${sudo}.new
		#mv ${sudo}.new ${sudo}
		#chmod 0440 ${sudo}
	
	
	
		# DROITS
		chown -R $MEUSER:$MEGROUP $MEHOME $ETCHOME
		chmod 0550 -R $ETCHOME/
		chmod 0555 -R $MEHOME/
	
		#exit 1
	;;

  abort-upgrade|abort-remove|abort-deconfigure)
	exit 0
	;;

  *)
	echo "postinst called with unknown argument \`$1'" >&2
	echo "Launch : $0 configure ..."
	exit 0
	;;
esac
